---
# PageSpeed monitors some sites and exports information to Prometheus so
# we can measure site performance when we make changes.  Its configured
# to run once per day because we don't make many changes and we can
# check them overtime.

- name: pagespeed container
  when: "inventory_hostname == delegate.hostname"
  docker_container:
    name: pagespeed
    image: sutty/pagespeed_exporter
    restart_policy: always
    detach: yes
    state: started
    networks:
    - name: sutty
    purge_networks: yes
    env:
      PAGESPEED_API_KEY: "{{ vault.google.api_key }}"
      PAGESPEED_TARGETS: "{{ pagespeed.targets | join(',') }}"

- name: pagespeed container
  when: "inventory_hostname != delegate.hostname"
  docker_container:
    name: pagespeed
    state: absent
